Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.bindery
Class BinderyObjectDirContext

    java.lang.Object
      |
      +--com.sun.jndi.toolkit.ctx.PartialCompositeContext
            |
            +--com.sun.jndi.toolkit.ctx.ComponentContext
                  |
                  +--com.sun.jndi.toolkit.ctx.AtomicContext
                        |
                        +--com.sun.jndi.toolkit.ctx.PartialCompositeDirContext
                              |
                              +--com.sun.jndi.toolkit.ctx.ComponentDirContext
                                    |
                                    +--com.sun.jndi.toolkit.ctx.AtomicDirContext
                                          |
                                          +--com.novell.service.bindery.BinderyObjectDirContext

public class BinderyObjectDirContext
extends com.sun.jndi.toolkit.ctx.AtomicDirContext
implements javax.naming.Referenceable

Represents an individual object found in the NetWare bindery. Extensions of BinderyObjectDirContext include QueueBinderyObjectDirContext, TreeBinderyObjectDirContext and ServerBinderyObjectDirContext, which represent dynamic queue, tree and server entries, respectively, in the bindery.

All bindery objects have the following mandatory attributes, which are included in the variables defined in this class:

- binderyObjectID
- binderyObjectType
- objFlags
- objSecurity
- hasProperties

The bindery object name is used for the binding name. Because the NetWare bindery does not require that names be unique, the type is also used to uniquely identify a bindery object. Thus, the name of a bindery object is composed of its name and type (for example SUPERVISOR+1).

See Also:
  `BinderyDirContext`, `BinderyPropertyAttrVal`, `BinderyPropertyDataSegment`

Constructor Summary
`BinderyObjectDirContext(BinderyEnvironment env)` Constructs a BinderyObjectDirContext with only a BinderyEnvironment parameter.
`BinderyObjectDirContext(Environment env, java.lang.String binderyObjectName, int binderyObjectType, int binderyObjectID, int hasProperties, int objSecurity, int objFlags)` Constructs a BinderyObjectDirContext object with the passed in parameters.

Methods inherited from class com.sun.jndi.toolkit.ctx.PartialCompositeDirContext
`bind, bind, createSubcontext, createSubcontext, getAttributes, getAttributes, getAttributes, getAttributes, getSchema, getSchema, getSchemaClassDefinition, getSchemaClassDefinition, modifyAttributes, modifyAttributes, modifyAttributes, modifyAttributes, rebind, rebind, search, search, search, search, search, search, search, search`

Methods inherited from class com.sun.jndi.toolkit.ctx.PartialCompositeContext
`bind, bind, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, rename, rename, resolveToClass, resolveToClass, unbind, unbind`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinderyObjectDirContext

    public BinderyObjectDirContext(BinderyEnvironment env)
                            throws javax.naming.NamingException

  Constructs a BinderyObjectDirContext with only a BinderyEnvironment parameter. This is a NULL constructor, which is required for extension classes that don't explicitly call the parameterized constructor.
  Parameters:
    `env` - Contains the environment variables used to control the behavior of the bindery name provider.

### BinderyObjectDirContext

    public BinderyObjectDirContext(Environment env,
                                   java.lang.String binderyObjectName,
                                   int binderyObjectType,
                                   int binderyObjectID,
                                   int hasProperties,
                                   int objSecurity,
                                   int objFlags)
                            throws javax.naming.NamingException

  Constructs a BinderyObjectDirContext object with the passed in parameters.

  This constructor is used by ServerBinderyObjectDirContext, QueueBinderyObjectDirContext and TreeBinderyObjectDirContext. Its numerous parameters are all obtained from a call to the native NWScanObject.

  Parameters:
    `env` - Contains the environment variables used to control the behavior of the bindery name provider.
    `binderyObjectName` - The object name, without a type on it.
    `binderyObjectType` - The object type, in human-readable format.
    `binderyObjectID` - The object ID.
    `hasProperties` - Whether the object has bindery properties; 0 = no.
    `objSecurity` - The type of read/write access control for this property.
    `objFlags` - Defines whether the object is static or dynamic (0=Static, 1=dynamic).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD